Установка smartd на Proxmox 3.3


Чтобы настроить мониторинг здоровья жестких дисков и вовремя спланировать замену, можно использовать smartd, как написано здесь

Однако в случае с Proxmox 3.3 при вызове

# apt-get install smartmontools

мы получаем ошибку:

E: Unable to locate package smartmontools

и при вызове

# aptitude install smartmontools

так же:

Couldn't find any package whose name or description matched "smartmontools"
No packages will be installed, upgraded, or removed.

Решение:

Установим пакет smartmontools вручную:

  1. Загрузим пакет для нужной платформы здесь, например:
    # cd /root 
    # wget http://ftp.ru.debian.org/debian/pool/main/s/smartmontools/smartmontools_5.41+svn3365-1_amd64.deb
  2. Попробуем установить:
    # dpkg -i smartmontools_5.41+svn3365-1_amd64.deb
    Selecting previously unselected package smartmontools.
    (Reading database ... 37620 files and directories currently installed.)
    Unpacking smartmontools (from smartmontools_5.41+svn3365-1_amd64.deb) ...
    dpkg: dependency problems prevent configuration of smartmontools:
    smartmontools depends on libcap-ng0; however:
    Package libcap-ng0 is not installed.
    dpkg: error processing smartmontools (--install):
    dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Errors were encountered while processing:
    smartmontools

    Пакет установился, но для конфигурации не хватает другого пакета: libcap-ng0

  3. Загружаем здесь, например:
    # wget http://ftp.ru.debian.org/debian/pool/main/libc/libcap-ng/libcap-ng0_0.6.6-2_amd64.deb
    
  4. Устанавливаем:
    # dpkg -i libcap-ng0_0.6.6-2_amd64.deb 
    Selecting previously unselected package libcap-ng0.
    (Reading database ... 37662 files and directories currently installed.)
    Unpacking libcap-ng0 (from libcap-ng0_0.6.6-2_amd64.deb) ...
    Setting up libcap-ng0 (0.6.6-2) ...
    Processing triggers for libc-bin ...
  5. Повторяем установку smartmontools:
    # dpkg -i smartmontools_5.41+svn3365-1_amd64.deb
    (Reading database ... 37668 files and directories currently installed.)
    Preparing to replace smartmontools 5.41+svn3365-1 (using smartmontools_5.41+svn3365-1_amd64.deb) ...
    Unpacking replacement smartmontools ...
    Setting up smartmontools (5.41+svn3365-1) ...
    update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
    Processing triggers for man-db ...
    

Далее как написано здесь

 

 

Поблагодарить:

Оставьте комментарий

Ваш e-mail не будет опубликован.